<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>City Quiz</title>
    <link rel="stylesheet" href="/styles/main.css">
</head>
<body id="app">
    
        <form class="container" action="/submit" method="post">

            <div class="container-score">
                <h3>
                    TotalScore is:
                    <span>
                        <%= locals.totalScore?totalScore:"0" %>
                    </span>
                </h3>
            </div>

            <h1 id="country-name">
                <%= locals.question?question:"" %>
            </h1>

            <div class="answer-input">
                <input type="text" id="userInput" name="answer" placeholder="Enter the capital" autofocus autocomplete="off">
            </div>

          <div class="button">
            <button type="submit" class="btn">
                Submit <% if(locals.wasCorrect===true){ %>
                         <span class="checkmark"> ✔</span> 
                        <% }else{ %>
                         <span class="cross">✘</span> 
                        <% } %>
            </button>
          </div>

        </form>

        <script>
            var wasCorrect="<%= locals.wasCorrect %>";
            console.log(wasCorrect);
            if(wasCorrect==='false'){
                alert(`Your score is :<%=locals.totalScore%>`)
                document.querySelector('#app').innerHTML='<a href="/" class="reset">Restart</a>';
            }
        </script>
    
</body>
</html>